package com.steerinfo.dil.service.impl;

import com.steerinfo.dil.mapper.BmsshipStatementMapper;
import com.steerinfo.dil.service.IBmsshipStatementService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import java.util.List;
import java.util.Map;

/**
 * BmsshipStatement服务实现：
 * @author generator
 * @version 1.0-SNAPSHORT 2021-11-05 07:35
 * 类描述
 * 修订历史：
 * 日期：2021-11-05
 * 作者：generator
 * 参考：
 * 描述：BmsshipStatement服务实现
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
@Service(value = "bmsshipStatementService")
public class BmsshipStatementServiceImpl implements IBmsshipStatementService {

    @Autowired
    private BmsshipStatementMapper bmsshipStatementMapper;

    /**
     * 采购船运账单
     * @param statementId
     * @return
     */
    @Override
    public Map<String, Object> getShipStatement(Integer statementId) {
        Map<String,Object> mapValue = bmsshipStatementMapper.getShipStatement(statementId);
        List<Map<String,Object>> mapList = bmsshipStatementMapper.getOtherMessage(statementId);
        Map<String, Object> map = mapList.get(0);
        mapValue.putAll(map);
        return mapValue;
    }
}
